Page MenuHomePhabricator

Remove PHP_BIN from WMF CI job configuration
Closed, ResolvedPublic

Description

This predates php7.2 and Docker-based Jenkins jobs and seems unused, time to remove?

Event Timeline

Krinkle created this task.Jun 10 2019, 6:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2019, 6:07 PM
[13:46:07] <legoktm> I'm 99% sure its totally unused
[13:46:59] <legoktm> unless there's some legacy non-docker job lying around that's still running?

We might still have some old legacy jobs that could still be relying on the php wrapper (the migration was/is tracked by Continuous-Integration-Infrastructure (Slipway)). It is in integration/jenkins.git in bin/php.

Maybe we can make the wrapper to log some information whenever it is being used? I guess a log file or some spam mail might work.

Change 651163 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] zuul: remove no more used PHP_BIN parameter

https://gerrit.wikimedia.org/r/651163

hashar claimed this task.Dec 21 2020, 10:49 AM

Done finally. The sole script using it was in integration/jenkins which has been archived.

hashar triaged this task as Low priority.Dec 21 2020, 10:49 AM

Change 651163 merged by jenkins-bot:
[integration/config@master] zuul: remove no more used PHP_BIN parameter

https://gerrit.wikimedia.org/r/651163

Mentioned in SAL (#wikimedia-releng) [2020-12-21T16:29:52Z] <James_F> Zuul: No longer set PHP_BIN parameter T225451

Jdforrester-WMF closed this task as Resolved.Dec 21 2020, 4:41 PM